<?
define("DBName","1111111111");
define("HostName","localhost");
define("UserName","1111111111");
define("Password","11111111111");
$db=@mysql_connect(HostName,UserName,Password);
@mysql_select_db(DBName);
if (!$db){
echo "<title>Ошибка!</title><center><h3>Ошибка!<br>Невозможно соеденится с сервером MySQL</h3></center>";}
##############################################################
if(empty($ip)){
if (getenv('HTTP_X_FORWARDED_FOR')){
$ip=getenv('HTTP_X_FORWARDED_FOR');}
else{
$ip=getenv('REMOTE_ADDR');}}
##############################################################
if (!$LMI_PAYER_PURSE){exit;}
$win_amount= $LMI_PAYMENT_AMOUNT*2;
srand ((double) microtime()*time());
$win_kart=rand(1,3);
if ($win_kart == $karta) {$win_state="win";} 
if ($win_kart <> $karta) {$win_state="lose";}
#############################################################
$que=@mysql_query ("SELECT * FROM `3_tuza` WHERE 1 ORDER BY `ID` DESC LIMIT 0, 5");
$que=@mysql_fetch_array($que);
$id=$que[ID]+1;
##############################3
$ok=mysql_query ("INSERT INTO `3_tuza` VALUES ('$id','$LMI_SYS_TRANS_NO', '$LMI_PAYMENT_AMOUNT', '$LMI_PAYER_WM', '$LMI_PAYER_PURSE', '$pid' , '$LMI_SYS_TRANS_DATE', '$ip', '$win_kart', '$karta', 'no', '$win_state', '$win_amount')"); 




$frommes="WebMoney Казино <info@wmcasino.net>";
//$frommes=convert_cyr_string (stripslashes($frommes),w,k);
$subject="Участие в игре Три Туза!";
$tomail = "info@wmcasino.net";
$headers = "Message-ID: $time@smtp.wmcasino.net\n";
$headers = "From: $frommes\n";
$headers .= "Content-Transfer-Encoding: 8bit\n";
$headers .= "MIME-Version: 1.0\n";
$headers .= "Content-Language: ru\n";
$tm= time();
$headers .= "Content-Type: text/plain; charset=Windows-1251\n";
if ($win_state== 'win') {
$mailbody="Здравствуйте.

Только что, а точнее в $LMI_SYS_TRANS_DATE .
Человек с индефикатором $LMI_PAYER_WM 
Участовал в игре \"Три Туза\" и поставил $LMI_PAYMENT_AMOUNT , 
на карту #$karta а выиграла карта $win_kart,
В результате чего он выиграл сумму $win_amount WMZ 
\"Webmoney Казино\" должно, 
выплатить $win_amount WMZ на кошелёк $LMI_PAYER_PURSE .

Пришёл он от партнёра : $PID

Системные подписи: 
--------------------
GAME_NUMBER: $GAME_NUMBER 
PID: $PID
LMI_PAYMENT_AMOUNT: $LMI_PAYMENT_AMOUNT
LMI_PAYER_PURSE: $LMI_PAYER_PURSE
LMI_PAYER_WM: $LMI_PAYER_WM
LMI_HASH: $LMI_HASH 
LMI_SYS_INVS_NO: $LMI_SYS_INVS_NO
--------------------


С уваженимем,
\"WebMoney Казино\"
----------------------------
http://www.wmcasino.net
mailto:info@wmcasino.net";

}

else {
$mailbody="Здравствуйте.

Только что, а точнее в $LMI_SYS_TRANS_DATE .
Человек с индефикатором $LMI_PAYER_WM 
Участовал в игре \"Три Туза\" и поставил $LMI_PAYMENT_AMOUNT , 
на карту #$karta а выиграла карта $win_kart,
В результате чего он ПРОИГРАЛ $LMI_PAYMENT_AMOUNT WMZ  

Пришёл он от партнёра : $PID

Системные подписи: 
--------------------
GAME_NUMBER: $GAME_NUMBER
PID: $PID 
LMI_PAYMENT_AMOUNT: $LMI_PAYMENT_AMOUNT
LMI_PAYER_PURSE: $LMI_PAYER_PURSE
LMI_PAYER_WM: $LMI_PAYER_WM
LMI_HASH: $LMI_HASH 
LMI_SYS_INVS_NO: $LMI_SYS_INVS_NO
--------------------


С уваженимем,
\"WebMoney Казино\"
----------------------------
http://www.wmcasino.net
mailto:info@wmcasino.net";

}




//$subject=convert_cyr_string (stripslashes($subject),w,k);
//$mailbody=convert_cyr_string (stripslashes($mailbody),w,k);

$sucess = @mail($tomail,$subject,$mailbody,$headers);
if (!$sucess){echo "cannot send email";}
?>